---
parts:
  - API Table
  - Dialog
title: 'Dialog: API Table'
eleventyNavigation:
  key: API Table >> Dialog
  title: API Table
  order: 90
  parent: Dialog
---
# Dialog: API Table
 

## class: `LionDialog`, `lion-dialog`

### Fields

| Name            | Privacy | Type      | Default | Description | Inherited From |
| --------------- | ------- | --------- | ------- | ----------- | -------------- |
| `isAlertDialog` | public  | `boolean` | `false` |             |                |

### Methods

| Name                   | Privacy   | Description | Parameters | Return | Inherited From |
| ---------------------- | --------- | ----------- | ---------- | ------ | -------------- |
| `_defineOverlayConfig` | protected |             |            |        |                |

### Attributes

| Name              | Field         | Inherited From |
| ----------------- | ------------- | -------------- |
| `is-alert-dialog` | isAlertDialog |                |

<hr/>
